Technique File Reference
`#include <osgFX/Export>`
`#include <osg/Referenced>`
`#include <osg/State>`
`#include <osg/Group>`
`#include <osg/NodeVisitor>`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Classes

class | osgFX::Technique

## Namespaces

namespace | osgFX

## Macros

#define | OSGFX_TECHNIQUE_
#define | META_Technique(name, description)

## Macro Definition Documentation

## META_Technique

#define META_Technique | ( |  | name,
|  |  | description )

Value:
inline virtual const char *techniqueName() { return name; } \
inline virtual const char *techniqueDescription() { return description; }

An helper macro that defines the methods techniqueName() and techniqueDescription() making them return the strings passed as parameters.

## OSGFX_TECHNIQUE_

#define OSGFX_TECHNIQUE_